/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreTranslationKey;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreTranslationKeyRecord extends UpdatableRecordImpl<TCoreTranslationKeyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_translation_key.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_translation_key.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_translation_key.translation_key</code>.
     * language key
     */
    public void setTranslationKey(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_translation_key.translation_key</code>.
     * language key
     */
    public String getTranslationKey() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_translation_key.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_translation_key.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreTranslationKeyRecord
     */
    public TCoreTranslationKeyRecord() {
        super(TCoreTranslationKey.T_CORE_TRANSLATION_KEY);
    }

    /**
     * Create a detached, initialised TCoreTranslationKeyRecord
     */
    public TCoreTranslationKeyRecord(Integer pk, String translationKey, LocalDateTime lastchange) {
        super(TCoreTranslationKey.T_CORE_TRANSLATION_KEY);

        setPk(pk);
        setTranslationKey(translationKey);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
